<?xml version="1.0" encoding="UTF-8" ?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <type name="Magento\GiftMessage\Model\GiftMessageManager">
        <plugin name="filobl_refilo_web_gif_wrapping_plugin" type="FiloBlu\Refilo\Plugins\Model\GiftMessageManager"></plugin>
    </type>

    <type name="Magento\Quote\Model\Quote\Item">
        <plugin name="FiloBlu_Refilo_Cartitem" type="FiloBlu\Refilo\Plugins\Cartitem" sortOrder="1" disabled="false" />
    </type>

    <type name="Magento\Quote\Model\Quote">
        <plugin name="FiloBlu_Refilo_Cart" type="FiloBlu\Refilo\Plugins\Cart" sortOrder="1" disabled="false" />
    </type>

    <type name="Magento\Quote\Model\QuoteRepository\LoadHandler">
        <plugin name="filoblu_refilo_add_quote_default_shipping_address" type="FiloBlu\Refilo\Plugins\Model\QuoteRepository\LoadHandler" disabled="false" sortOrder="999"/>
    </type>

    <type name="Magento\Quote\Model\ShippingMethodManagement">
       <plugin name="filoblu_refilo_prefill_address" type="FiloBlu\Refilo\Plugins\Model\PrefillAddress" disabled="false" sortOrder="1"/>
    </type>

    <!-- Provide missing events not emitted in REST api context -->
    <type name="Magento\Customer\Api\AccountManagementInterface">
        <plugin name="filoblu_refilo_create_account" type="FiloBlu\Refilo\Plugins\Api\AccountManagementInterface"/>
    </type>
</config>
